com.hazelcast.spi

## Interface NamedOperation

- All Known Implementing Classes:
    AbstractAlterOperation, AbstractAlterOperation, AbstractAtomicLongOperation, AbstractAtomicReferenceOperation, AbstractLockOperation, com.hazelcast.spi.impl.AbstractNamedOperation, AbstractPNCounterOperation, AcquireBackupOperation, AcquireOperation, AddAndGetOperation, AddBackupOperation, AddOperation, AlterAndGetOperation, AlterAndGetOperation, AlterOperation, AlterOperation, ApplyOperation, ApplyOperation, AtomicLongBackupAwareOperation, AtomicReferenceBackupAwareOperation, AvailableOperation, AwaitBackupOperation, AwaitOperation, AwaitOperation, BeforeAwaitBackupOperation, BeforeAwaitOperation, CompareAndSetOperation, CompareAndSetOperation, ContainsOperation, CountDownLatchBackupOperation, CountDownOperation, DrainBackupOperation, DrainOperation, GetAndAddOperation, GetAndAlterOperation, GetAndAlterOperation, GetAndSetOperation, GetAndSetOperation, GetCountOperation, GetLockCountOperation, GetOperation, GetOperation, GetOperation, GetRemainingLeaseTimeOperation, IncreaseBackupOperation, IncreaseOperation, InitBackupOperation, InitOperation, IsLockedOperation, IsNullOperation, LocalLockCleanupOperation, LockBackupOperation, LockOperation, MergeBackupOperation, MergeBackupOperation, MergeOperation, MergeOperation, ReduceBackupOperation, ReduceOperation, ReleaseBackupOperation, ReleaseOperation, SemaphoreBackupAwareOperation, SemaphoreBackupOperation, SemaphoreDetachMemberBackupOperation, SemaphoreDetachMemberOperation, SemaphoreOperation, SetAndGetOperation, SetBackupOperation, SetBackupOperation, SetCountOperation, SetOperation, SetOperation, SignalBackupOperation, SignalOperation, UnlockBackupOperation, UnlockIfLeaseExpiredOperation, UnlockOperation

      public interface NamedOperation

  Indicates that `Operation` carries the distributed data structure name that is going to work on.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Returns the name of the distributed data structure.

- - ### Method Detail

    - #### getName

          String getName()

      Returns the name of the distributed data structure.
      Returns:
        String name of the distributed data structure.

Copyright © 2020. All rights reserved.